<html>
  <head>
    <meta content="text/html; charset=ISO-8859-1"
      http-equiv="Content-Type">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <br>
    <div class="moz-cite-prefix">On 4/3/2013 1:41 PM, Orgad Shaneh
      wrote:<br>
    </div>
    <blockquote
cite="mid:CAGHpTBKCj1UhuqLhUzOVCU8VxkYnoas1X8imzqgRj5TqjGbG7w@mail.gmail.com"
      type="cite">
      <div dir="ltr">On Wed, Apr 3, 2013 at 8:42 PM, Pete Klemm <span
          dir="ltr"><<a moz-do-not-send="true"
            href="mailto:pete.klemm@esysr.com" target="_blank">pete.klemm@esysr.com</a>></span>
        wrote:<br>
        <div class="gmail_extra">
          <div class="gmail_quote">
            <blockquote class="gmail_quote" style="margin:0px 0px 0px
0.8ex;border-left-width:1px;border-left-color:rgb(204,204,204);border-left-style:solid;padding-left:1ex">I
              installed qt 5.0.1 commercial mingw and I now get this
              error<br>
              when trying to edit my project:<br>
              <br>
              Error: Could not decode "iobrd.cpp" with "UTF-8"
              -encoding. Editing not<br>
              possible.<br>
              <br>
              This used to work with qt 4.7.4 opensource mingw.<br>
              <br>
              Is this possibly due to missing unicode support in the
              commercial release??<br>
              <br>
              Any thoughts??<br>
              <br>
              _______________________________________________<br>
              Qt-creator mailing list<br>
              <a moz-do-not-send="true"
                href="mailto:Qt-creator@qt-project.org">Qt-creator@qt-project.org</a><br>
              <a moz-do-not-send="true"
                href="http://lists.qt-project.org/mailman/listinfo/qt-creator"
                target="_blank">http://lists.qt-project.org/mailman/listinfo/qt-creator</a><br>
            </blockquote>
          </div>
          <br>
        </div>
        <div class="gmail_extra" style="">Hello,</div>
        <div class="gmail_extra" style=""><br>
        </div>
        <div class="gmail_extra" style="">The default encoding was
          changed to UTF-8 in 2.6. See <a moz-do-not-send="true"
            href="https://bugreports.qt-project.org/browse/QTCREATORBUG-7420">QTCREATORBUG-7420</a> and
          <a moz-do-not-send="true"
            href="https://codereview.qt-project.org/34305">the actual
            change</a>.</div>
        <div class="gmail_extra" style=""><br>
        </div>
        <div class="gmail_extra" style="">To fix this, open Tools ->
          Options -> Text Editor -> Behavior and change Default
          encoding to System.</div>
        <div class="gmail_extra" style=""><br>
        </div>
        <div class="gmail_extra" style="">- Orgad</div>
      </div>
    </blockquote>
    Thanks for the reply, however I already have Tools -> Options
    -> Text Editor -> Behavior set to use UTF-8 as the<br>
    default encoding. The problem is the editor wants me to change the
    encoding to something other than UTF-8. If<br>
    I force the text file to Latin1 I am able to search and replace as
    in 4.8.4 and no longer get the error message.<br>
    <br>
    When I get the error, UTF-8 is not even presented as an option for
    the encoding. As previously, stated this did<br>
    not exist in Qt Creator 2.6.0 from qt-opensource-4.8.4.<br>
    <br>
  </body>
</html>